## class OSGUTIL_EXPORT osgUtil::SmoothingVisitor

> A smoothing visitor for calculating smoothed normals for osg::GeoSet's which contains surface primitives

## Inheritance:

### Public Methods

SmoothingVisitor()
  default to traversing all children
static void smooth(osg::Geometry& geoset)
  smooth geoset by creating per vertex normals
virtual void apply(osg::Geode& geode)
  apply smoothing method to all geode geosets

## Documentation

> A smoothing visitor for calculating smoothed normals for osg::GeoSet's which contains surface primitives

`SmoothingVisitor()`
  default to traversing all children

`static void smooth(osg::Geometry& geoset)`
  smooth geoset by creating per vertex normals

`virtual void apply(osg::Geode& geode)`
  apply smoothing method to all geode geosets

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.